Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class ObservableMap.PropertyEvent

    java.lang.Object
      java.util.EventObject
          java.beans.PropertyChangeEvent
              groovy.util.ObservableMap.PropertyEvent

    public static abstract class ObservableMap.PropertyEvent
    extends java.beans.PropertyChangeEvent

Constructor Summary
`ObservableMap.PropertyEvent(java.lang.Object source, java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue, ChangeType type)`

Method Summary
`ChangeType` | `getChangeType()`
`int` | `getType()`
`java.lang.String` | `getTypeAsString()`

Methods inherited from class java.beans.PropertyChangeEvent
java.beans.PropertyChangeEvent#toString(), java.beans.PropertyChangeEvent#getPropertyName(), java.beans.PropertyChangeEvent#getOldValue(), java.beans.PropertyChangeEvent#getNewValue(), java.beans.PropertyChangeEvent#setPropagationId(java.lang.Object), java.beans.PropertyChangeEvent#getPropagationId(), java.beans.PropertyChangeEvent#getSource(), java.beans.PropertyChangeEvent#wait(long), java.beans.PropertyChangeEvent#wait(long, int), java.beans.PropertyChangeEvent#wait(), java.beans.PropertyChangeEvent#equals(java.lang.Object), java.beans.PropertyChangeEvent#hashCode(), java.beans.PropertyChangeEvent#getClass(), java.beans.PropertyChangeEvent#notify(), java.beans.PropertyChangeEvent#notifyAll()

Methods inherited from class java.util.EventObject
java.util.EventObject#toString(), java.util.EventObject#getSource(), java.util.EventObject#wait(long), java.util.EventObject#wait(long, int), java.util.EventObject#wait(), java.util.EventObject#equals(java.lang.Object), java.util.EventObject#hashCode(), java.util.EventObject#getClass(), java.util.EventObject#notify(), java.util.EventObject#notifyAll()

Constructor Detail

### ObservableMap.PropertyEvent

    public ObservableMap.PropertyEvent(java.lang.Object source, java.lang.String propertyName, java.lang.Object oldValue, java.lang.Object newValue, ChangeType type)

Method Detail

### getChangeType

    public ChangeType getChangeType()

### getType

    public int getType()

### getTypeAsString

    public java.lang.String getTypeAsString()

Groovy Documentation